XBFLASH.QSPI(1)

NAME
xbflash.qspi - manual page for xbflash.qspi Usage:

DESCRIPTION
Usage: xbflash.qspi [options]

OPTIONS
"SPI flash"

--primary, <MCS-path>, must be 1st option

    [--secondary <MCS-path>], default is empty --card <BDF> [--force, yes for prompt] [--bar <BAR-index-for-QSPI>], default is 0 [--bar-offset <BAR-offset-for-QSPI>], default is 0x40000

"SPI factory-reset"

--factory-reset, must be 1st option

    [--dual-flash] --card <BDF> [--force, yes for prompt] [--bar <BAR-index-for-QSPI>], default is 0 [--bar-offset <BAR-offset-for-QSPI>], default is 0x40000

"QSPIPS erase"

--qspips-erase, must be 1st option

--card <BDF>

    [--offset <offset-on-flash-to-start-with>], default is 0 [--length <length-to-read>], default is 96MB [--flash-type <qspips-flash-type>], default is qspi_ps_x2_single [--bar <BAR-index-for-QSPIPS>], default is 0 [--bar-offset <BAR-offset-for-QSPIPS>], default is 0x40000 [--force, yes for prompt]

"QSPIPS flash"

--qspips-flash, must be 1st option

--input <path-to-qspips-BOOT-BIN-file>

--card <BDF>

    [--offset <offset-on-flash-to-start-with>], default is 0 [--flash-type <qspips-flash-type>], default is qspi_ps_x2_single [--bar <BAR-index-for-QSPIPS>], default is 0 [--bar-offset <BAR-offset-for-QSPIPS>], default is 0x40000 [--force, yes for prompt]

"QSPIPS read back"

--qspips-read, must be 1st option

--output <output-file-to-save-read-contents>

--card <BDF>

    [--offset <offset-on-flash-to-start-with>], default is 0 [--length <length-to-read>], default is 128MB [--flash-type <qspips-flash-type>], default is qspi_ps_x2_single [--bar <BAR-index-for-QSPIPS>], default is 0 [--bar-offset <BAR-offset-for-QSPIPS>], default is 0x40000

xbflash.qspi [options]

"SPI flash"

--primary, <MCS-path>, must be 1st option

    [--secondary <MCS-path>], default is empty --card <BDF> [--force, yes for prompt] [--bar <BAR-index-for-QSPI>], default is 0 [--bar-offset <BAR-offset-for-QSPI>], default is 0x40000

"SPI factory-reset"

--factory-reset, must be 1st option

    [--dual-flash] --card <BDF> [--force, yes for prompt] [--bar <BAR-index-for-QSPI>], default is 0 [--bar-offset <BAR-offset-for-QSPI>], default is 0x40000

"QSPIPS erase"

--qspips-erase, must be 1st option

--card <BDF>

    [--offset <offset-on-flash-to-start-with>], default is 0 [--length <length-to-read>], default is 96MB [--flash-type <qspips-flash-type>], default is qspi_ps_x2_single [--bar <BAR-index-for-QSPIPS>], default is 0 [--bar-offset <BAR-offset-for-QSPIPS>], default is 0x40000 [--force, yes for prompt]

"QSPIPS flash"

--qspips-flash, must be 1st option

--input <path-to-qspips-BOOT-BIN-file>

--card <BDF>

    [--offset <offset-on-flash-to-start-with>], default is 0 [--flash-type <qspips-flash-type>], default is qspi_ps_x2_single [--bar <BAR-index-for-QSPIPS>], default is 0 [--bar-offset <BAR-offset-for-QSPIPS>], default is 0x40000 [--force, yes for prompt]

"QSPIPS read back"

--qspips-read, must be 1st option

--output <output-file-to-save-read-contents>

--card <BDF>

    [--offset <offset-on-flash-to-start-with>], default is 0 [--length <length-to-read>], default is 128MB [--flash-type <qspips-flash-type>], default is qspi_ps_x2_single [--bar <BAR-index-for-QSPIPS>], default is 0 [--bar-offset <BAR-offset-for-QSPIPS>], default is 0x40000

SEE ALSO
The full documentation for xbflash.qspi is maintained as a Texinfo manual. If the info and xbflash.qspi programs are properly installed at your site, the command

    info xbflash.qspi

should give you access to the complete manual.